@use '../abstract/variables' as v;
@use '../components/animation';

.hero {
	text-align: center;
	height: 80vh;
	background-image: url('../assets/background_main_original.png');
	background-size: cover;
	color: v.$color-text-white;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

.hero__main-logo {
	position: relative;
	z-index: 99;
	width: 63px;
	height: 63px;
	margin-bottom: 1rem;
	transition: 0.5s;
	&:hover {
		scale: 1.4;
		transform: rotateY(180deg);
	}
}

.hero__anim-stars {
	position: absolute;
	top: 0;
	right: 0;
	animation: blink 3s infinite alternate both;
}

.hero__anim-dots {
	position: absolute;
	bottom: 0;
	right: 0;
	width: 100%;
	animation: move 3s infinite alternate both;
}
